<header>
  <ng-content select=".tr-header"></ng-content>
</header>
<nav>
  <ng-content select=".tr-nav"></ng-content>
</nav>
<main>
  <ng-content></ng-content>
</main>
<footer>
  <ng-content select=".tr-footer"></ng-content>
</footer>
